-- Add to in-game tooltips at mouse over (Like atlas loot)
GameTooltip:HookScript("OnTooltipSetItem", function(tooltip, ...)
    addToolTip(tooltip)
end)

-- Add to in-game tooltips on click (Like chat links)
ItemRefTooltip:HookScript("OnTooltipSetItem", function(tooltip, ...)
    addToolTip(tooltip)
end)

function addToolTip(tooltip)
    local itemName, itemLink = tooltip:GetItem()
    
    if itemLink then
      priority, note, analog = searchForItemPrioAndNote(itemLink:match("item:(%d+):")) -- Using the in-game item link find the Item ID in the string and search through the table to find a match.
    end
  
    if priority then
        if priority ~= "" and priority ~= "NoteOnly" then
            priority = string.format("%s", priority)
            priority = classColour(priority)
            tooltip:AddLine("|cFFE6007EPR1|r: "..priority, 0.5, 0.5, 0.5) -- "Priority:" = Pink, anything else is default white

            if analog ~= "" then
                analog = string.format("%s", analog)
                analog = classColour(analog)
                tooltip:AddLine("|cFFE6007EАналоги|r:\n"..analog, 0.5, 0.5, 0.5) -- "Note:" = Pink, anything else is default white
            end

            if note ~= "" then
                note = string.format("%s", note)
                note = classColour(note)
                tooltip:AddLine("|cFFE6007ENote|r: "..note, 1, 1, 1) -- "Note:" = Pink, anything else is default white
            end

        elseif priority == "NoteOnly" then
            if note ~= "" then
                note = string.format("%s", note)
                note = classColour(note)
                tooltip:AddLine("|cFFE6007ENote|r: "..note, 1, 1, 1) -- "Note:" = Pink, anything else is default white
            end
        end
    end
end

-- Add class colours to each string returned from the loot tables
function classColour(class)

    -- Default Wow Classic class colours
    class = class:gsub("Медведь", "|cFFFF7C0AМедведь|r")
    class = class:gsub("Рестордру", "|cFFFF7C0AРестордру|r")
    class = class:gsub("Сова", "|cFFFF7C0AСова|r")
    class = class:gsub("Кот", "|cFFFF7C0AКот|r")
    class = class:gsub("Хант", "|cFFAAD372Хант|r")
    class = class:gsub("Маг", "|cFF3FC7EBМаг|r")
    class = class:gsub("Холипал", "|cFFF48CBAХолипал|r")
    class = class:gsub("Протпал", "|cFFF48CBAПротпал|r")
    class = class:gsub("Ретрик", "|cFFF48CBAРетрик|r")
    class = class:gsub("Холиприст", "|cFFFFFFFFХолиприст|r")
    class = class:gsub("ШП", "|cFFFFFFFFШП|r")
    class = class:gsub("Рога", "|cFFFFF468Рога|r")
    class = class:gsub("Лок", "|cFF8788EEЛок|r")
    class = class:gsub("ДДВар", "|cFFC69B6DДДВар|r")
    class = class:gsub("Протвар", "|cFFC69B6DПротвар|r")
    class = class:gsub("Ресторшам", "|cFF0070DDРесторшам|r")
    class = class:gsub("Элем", "|cFF0070DDЭлем|r")
    class = class:gsub("Энх", "|cFF0070DDЭнх|r")

    -- Custom Strings
    class = class:gsub("PR2", "|cFFE6007EPR2|r:") -- PR2
    class = class:gsub("PR3", "|cFFE6007EPR3|r:") -- PR3

    return class
end

-- look for class priority & note from the relevant loot table
function searchForItemPrioAndNote(itemId)
    for index, value in next, lootPrio do
        if value["itemId"] == itemId then
            return value["classPriority"], value["note"], value["analog"]
        end
    end
end
